> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dwe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Install a release



## OpenAPI

````yaml https://github.com/DeepwaterExploration/dweOS/releases/latest/download/openapi.json post /api/updater/install
openapi: 3.1.0
info:
  title: DWE OS API
  description: API for DWE OS
  version: v0.9.0
servers:
  - url: http://dweos.local
security: []
paths:
  /api/updater/install:
    post:
      tags:
        - updater
      summary: Install a release
      operationId: install_release_api_updater_install_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstallReleasePayload'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleRequestStatusModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InstallReleasePayload:
      properties:
        tag:
          type: string
          title: Tag
      type: object
      required:
        - tag
      title: InstallReleasePayload
    SimpleRequestStatusModel:
      properties:
        success:
          type: boolean
          title: Success
          default: true
      type: object
      title: SimpleRequestStatusModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.